Returns values from a result instance

- « pg_fetch_object

- pg_fetch_row »

- PHP Manual
- PostgreSQL Functions
- Returns values from a result instance

# pg_fetch_result

(PHP 4 >= 4.2.0, PHP 5, PHP 7, PHP 8)

pg_fetch_result — Returns values from a result instance

### Description

pg_fetch_result(PgSql\Result `$result`, int `$row`, mixed `$field`): string|false|null
pg_fetch_result(PgSql\Result `$result`, mixed `$field`): string|false|null

pg_fetch_result() returns the value of a particular row and field (column) in an PgSql\Result instance.

> Note:

> This function used to be called pg_result().

### Parameters

`result`

  An PgSql\Result instance, returned by pg_query(), pg_query_params() or pg_execute()(among others).

`row`

  Row number in result to fetch. Rows are numbered from 0 upwards. If omitted, next row is fetched.

`field`

  A string representing the name of the field (column) to fetch, otherwise an int representing the field number to fetch. Fields are numbered from 0 upwards.

### Return Values

Boolean is returned as "t" or "f". All other types, including arrays are returned as strings formatted in the same default PostgreSQL manner that you would see in the psql program. Database `NULL` values are returned as `null`.

`false` is returned if `row` exceeds the number of rows in the set, or on any other error.

### Changelog

Version | Description
--- | ---
8.1.0 | The `result` parameter expects an PgSql\Result instance now; previously, a resource was expected.

### Examples

Example #1 pg_fetch_result() example

    <?php$db = pg_connect("dbname=users user=me") || die();$res = pg_query($db, "SELECT 1 UNION ALL SELECT 2");$val = pg_fetch_result($res, 1, 0);echo "First field in the second row is: ", $val, "\n";?>

The above example will output:

    First field in the second row is: 2

### See Also

- pg_query() - Execute a query
- pg_fetch_array() - Fetch a row as an array